<script type="text/javascript">	
$(document).ready(function(){
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
			}
		});
	}

	$("#cari").click(function(){
		var tanggal = $("#txt_tanggal").val();
		
		if(tanggal.length==0){
			alert('Maaf, Tanggal laporan masih kosong.');
			$("#txt_tanggal").focus();
			return false;
		}
		$("#data_detail").load('modul/report/tampil_lapkasir.php?tanggal='+tanggal);
	});
	
	$("#refresh").click(function(){
		window.location.reload();		
	});
	
	$("#cetak").click(function(){
		var tanggal = $("#txt_tanggal").val();
		var user	= $("#t_user").val();
		
		if(tanggal.length==0){
			alert('Maaf, Tanggal laporan masih kosong.');
			$("#txt_tanggal").focus();
			return false;
		}
		window.location.href='modul/laporan/lap_kasir.php?tanggal='+tanggal+'&user='+user;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
	
});
</script>
<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';
session_start();

$user=$_SESSION[namauser];
	
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h3>LAPORAN KASIR $user<h3></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table width='100%'>
			<tr>
				<input type='text' name='t_user' id='t_user' value='$user' class='input_detail' hidden />
				<td>Tanggal :</td>
				<td><input type='date' name='txt_tanggal' id='txt_tanggal' size='10'></td>				
				<td align='right'>
					<button name='cari' id='cari'>Cari</button>
					<button name='cetak' id='cetak'>Cetak</button>
					<button name='tutup' id='tutup'>Tutup</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";
	
echo "<div id='data_detail' align='center'></div>";
echo "</div>";
?>
